font_path = chrome.runtime.getURL("fonts/Dotsies.ttf");
console.log(font_path);
let style = document.createElement('style');
style.type = 'text/css';
// Loading the font in brute-force :)
style.innerHTML =
  `@font-face {
  font-family: 'newDotsies';
  font-style: normal;
  font-weight: 400;
  src: url(${font_path}) format('truetype');
}

* {
  background-color:black !important;

font-family:newDotsies !important;
color:white !important;
}`;
// Injecting css in the page's head
document.getElementsByTagName('head')[0].appendChild(style);

function applyFilter() {
  Array.from(document.querySelectorAll("img, video, svg")).forEach(p => {
    p.style.borderRadius = "100%";
    p.style.filter = `invert(0%) blur(40px) saturate(3) contrast(2)`;
  });
}
// Check when a page load new content
// Then apply the filter again :)
let dom_observer = new MutationObserver(function(mutation) {
  applyFilter();
});
let config = {
  attributes: true,
  childList: true,
  characterData: true
};
dom_observer.observe(document.body, config);
// Applying filter on page load
applyFilter();
